Bug 1576419 (CVE-2018-1130) - CVE-2018-1130 kernel: a null pointer dereference in net/dccp/output.c:dccp_write_xmit() leads to a system crash
Summary: CVE-2018-1130 kernel: a null pointer dereference in net/dccp/output.c:dccp_wr...
Status: NEW
Alias: CVE-2018-1130
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180307,repor...
Keywords: Security
Depends On: 1576588 1571268 1576586 1576589
Blocks: 1571429
TreeView+ depends on / blocked
 
Reported: 2018-05-09 12:17 UTC by Vladis Dronov
Modified: 2018-10-30 07:40 UTC (History)
21 users (show)

Fixed In Version: kernel 4.16-rc7
Doc Type: If docs needed, set a value
Doc Text:
A null pointer dereference in dccp_write_xmit() function in net/dccp/output.c in the Linux kernel allows a local user to cause a denial of service by a number of certain crafted system calls.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1854 None None None 2018-06-19 04:48 UTC
Red Hat Product Errata RHSA-2018:3083 None None None 2018-10-30 07:33 UTC
Red Hat Product Errata RHSA-2018:3096 None None None 2018-10-30 07:40 UTC

Description Vladis Dronov 2018-05-09 12:17:01 UTC
A null pointer dereference in dccp_write_xmit() function in net/dccp/output.c in the Linux kernel allows a local user to cause a denial of service by a number of certain crafted system calls.

References:

https://syzkaller.appspot.com/bug?id=833568de043e0909b2aeaef7be136db39d21ba94

https://marc.info/?t=152036611500003&r=1&w=2

http://seclists.org/oss-sec/2018/q2/100

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=67f93df79aeefc3add4e4b31a752600f834236e2

Comment 2 Vladis Dronov 2018-05-09 12:34:06 UTC
Acknowledgments:

Name: Evgenii Shatokhin (Virtuozzo Team)

Comment 3 Justin M. Forbes 2018-05-09 13:08:47 UTC
This was fixed for Fedora with the 4.16 rebases.

Comment 7 Vladis Dronov 2018-05-09 21:21:13 UTC
Note: 

DCCP modules were blacklisted by default from auto-loading since RHEL-7.5 out of stability and security concerns. This means they won't be automatically loaded when requested by the socket layer - hence the need to load them manually.

Nevertheless, as the DCCP modules themselves are present and could be loaded, future Linux kernel updates for RHEL-6 and RHEL-7 may address this issue.

Comment 8 errata-xmlrpc 2018-06-19 04:48:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1854 https://access.redhat.com/errata/RHSA-2018:1854

Comment 9 errata-xmlrpc 2018-10-30 07:33:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 10 errata-xmlrpc 2018-10-30 07:39:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096


Note You need to log in before you can comment on or make changes to this bug.